Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gmerlin
Version:	0.4.1
Release:	1
License:	GNU/GPL
URL:		http://gmerlin.sourceforge.net/
Group:		Multimedia
Summary:	Base library for gmerlin applications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: cairo-devel
BuildRequires: esound-libs-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gavl-devel >= 1.1.1
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libcddb-devel
BuildRequires: libcdio-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: libpng-devel
BuildRequires: libquicktime-devel
BuildRequires: libSM-devel
BuildRequires: libtiff-devel
BuildRequires: libvisual-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXv-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: mjpegtools-devel
BuildRequires: pango-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: zlib-devel

%description
Base library for gmerlin applications

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	gtk2+-devel
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary:	%{name} documents.
Group:		Documentation

%description	doc
%{name} documents.

%package	plugins
Summary:	Audio / Video plugins for gmerlin
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}

%description	plugins
Audio / Video plugins for gmerlin

%package	player
Summary:	Multiformat media player
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}

%description	player
Multiformat media player

%package	alsamixer
Summary:	Alsa mixer
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}

%description	alsamixer
Alsa mixer

%package	transcoder
Summary:	Audio/Video transcoder
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}

%description	transcoder
Audio/Video transcoder

%package	camelot
Summary:	Webcam application
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}

%description	camelot
Webcam application

%package	kbd
Summary:	Gmerlin keyboard daemon
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}

%description	kbd
Gmerlin keyboard daemon

%package	visualizer
Summary:	Run visualization plugins
Group:		Multimedia
Requires:	%{name} = %{version}-%{release}

%description	visualizer
Run visualization plugins

%pre

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

#make 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

rm -f $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(-,root,root)
%doc README
%_bindir/%{name}_imgconvert
%_bindir/%{name}_play
%_bindir/gmerlin-video-thumbnailer
%_bindir/gmerlin_imgdiff
%_bindir/gmerlin_psnr
%_bindir/gmerlin_visualize
%_bindir/gmerlin_vpsnr
%_libdir/lib%{name}.la
%_libdir/lib%{name}.so*
%_libdir/lib%{name}_gtk.la
%_libdir/lib%{name}_gtk.so*
%_datadir/%{name}/icons/*.png
%_datadir/%{name}/icons/*.jpg
%_datadir/%{name}/osd
%_datadir/%{name}/plugin.sym
%_datadir/info/%{name}.info.gz
%_locale
%_mandir/man1/%{name}_play.1.*
%_mandir/man1/%{name}_remote.1.*

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig

%files doc
%defattr(-,root,root)
%_datadir/doc/%{name}

%files plugins
%defattr(-,root,root)
%_applications/%{name}-plugincfg.desktop
%_bindir/%{name}_plugincfg
# alsa
%_libdir/%{name}/plugins/*alsa*.la
%_libdir/%{name}/plugins/*alsa*.so
# audiofilters
%_libdir/%{name}/plugins/fa_sampleformat.la
%_libdir/%{name}/plugins/fa_sampleformat.so
%_libdir/%{name}/plugins/fa_volume.la
%_libdir/%{name}/plugins/fa_volume.so
# cdaudio
%_libdir/%{name}/plugins/*cdaudio*.la
%_libdir/%{name}/plugins/*cdaudio*.so
# edl
%_libdir/%{name}/plugins/i_edl.la
%_libdir/%{name}/plugins/i_edl.so
# esd
%_libdir/%{name}/plugins/*esd*.la
%_libdir/%{name}/plugins/*esd*.so
# image (bmp, pnm, tga)
%_libdir/%{name}/plugins/ir_bmp.la
%_libdir/%{name}/plugins/ir_bmp.so
%_libdir/%{name}/plugins/iw_bmp.la
%_libdir/%{name}/plugins/iw_bmp.so
%_libdir/%{name}/plugins/ir_pnm.la
%_libdir/%{name}/plugins/ir_pnm.so
%_libdir/%{name}/plugins/iw_pnm.la
%_libdir/%{name}/plugins/iw_pnm.so
%_libdir/%{name}/plugins/*_tga.la
%_libdir/%{name}/plugins/*_tga.so
# jpeg
%_libdir/%{name}/plugins/*jpeg*.la
%_libdir/%{name}/plugins/*jpeg*.so
# libquicktime
%_libdir/%{name}/plugins/*lqt*.la
%_libdir/%{name}/plugins/*lqt*.so
# libmikmod
%_libdir/%{name}/plugins/i_mikmod.la
%_libdir/%{name}/plugins/i_mikmod.so
# oss
%_libdir/%{name}/plugins/*oss*.la
%_libdir/%{name}/plugins/*oss*.so
# png
%_libdir/%{name}/plugins/e_spumux.la
%_libdir/%{name}/plugins/e_spumux.so
%_libdir/%{name}/plugins/*png*.la
%_libdir/%{name}/plugins/*png*.so
# postprocessors
%_libdir/%{name}/plugins/e_pp_cdrdao.la
%_libdir/%{name}/plugins/e_pp_cdrdao.so
%_libdir/%{name}/plugins/e_pp_vcdimager.la
%_libdir/%{name}/plugins/e_pp_vcdimager.so
# pulseaudio
%_libdir/%{name}/plugins/i_pulse.la
%_libdir/%{name}/plugins/i_pulse.so
%_libdir/%{name}/plugins/oa_pulse.la
%_libdir/%{name}/plugins/oa_pulse.so
# subwriters
%_libdir/%{name}/plugins/e_subtext.la
%_libdir/%{name}/plugins/e_subtext.so
# tiff
%_libdir/%{name}/plugins/*tiff*.la
%_libdir/%{name}/plugins/*tiff*.so
# v4l
%_libdir/%{name}/plugins/*v4l*.la
%_libdir/%{name}/plugins/*v4l*.so
# videofilters
%_libdir/%{name}/plugins/fv_blur.la
%_libdir/%{name}/plugins/fv_blur.so
%_libdir/%{name}/plugins/fv_colorbalance.la
%_libdir/%{name}/plugins/fv_colorbalance.so
%_libdir/%{name}/plugins/fv_colormatrix_rgb.la
%_libdir/%{name}/plugins/fv_colormatrix_rgb.so
%_libdir/%{name}/plugins/fv_colormatrix_yuv.la
%_libdir/%{name}/plugins/fv_colormatrix_yuv.so
%_libdir/%{name}/plugins/fv_cropscale.la
%_libdir/%{name}/plugins/fv_cropscale.so
%_libdir/%{name}/plugins/fv_decimate.la
%_libdir/%{name}/plugins/fv_decimate.so
%_libdir/%{name}/plugins/fv_deinterlace.la
%_libdir/%{name}/plugins/fv_deinterlace.so
%_libdir/%{name}/plugins/fv_equalizer.la
%_libdir/%{name}/plugins/fv_equalizer.so
%_libdir/%{name}/plugins/fv_flip.la
%_libdir/%{name}/plugins/fv_flip.so
%_libdir/%{name}/plugins/fv_invert_rgb.la
%_libdir/%{name}/plugins/fv_invert_rgb.so
%_libdir/%{name}/plugins/fv_oldcolor.la
%_libdir/%{name}/plugins/fv_oldcolor.so
%_libdir/%{name}/plugins/fv_pixelformat.la
%_libdir/%{name}/plugins/fv_pixelformat.so
%_libdir/%{name}/plugins/fv_tcdisplay.la
%_libdir/%{name}/plugins/fv_tcdisplay.so
%_libdir/%{name}/plugins/fv_tctweak.la
%_libdir/%{name}/plugins/fv_tctweak.so
%_libdir/%{name}/plugins/fv_tlp.la
%_libdir/%{name}/plugins/fv_tlp.so
%_libdir/%{name}/plugins/fv_transform.la
%_libdir/%{name}/plugins/fv_transform.so
%_libdir/%{name}/plugins/fv_zoom.la
%_libdir/%{name}/plugins/fv_zoom.so
# visualization
%_libdir/%{name}/plugins/vis_scope.la
%_libdir/%{name}/plugins/vis_scope.so
# wavwrite
%_libdir/%{name}/plugins/e_wav.la
%_libdir/%{name}/plugins/e_wav.so
# x11
%_libdir/%{name}/plugins/*x11*.la
%_libdir/%{name}/plugins/*x11*.so
%_libdir/%{name}/plugins/fv_interlace.la
%_libdir/%{name}/plugins/fv_interlace.so
%_libdir/%{name}/plugins/i_jack.la
%_libdir/%{name}/plugins/i_jack.so
%_libdir/%{name}/plugins/ir_gavl.la
%_libdir/%{name}/plugins/ir_gavl.so
%_libdir/%{name}/plugins/iw_gavl.la
%_libdir/%{name}/plugins/iw_gavl.so
%_libdir/%{name}/plugins/oa_jack.la
%_libdir/%{name}/plugins/oa_jack.so

%files player
%defattr(-,root,root)
%_applications/%{name}-player.desktop
%_datadir/%{name}/skins
%_bindir/%{name}
%_bindir/%{name}_remote
%_bindir/%{name}_launcher
%_mandir/man1/%{name}.1.*

%files alsamixer
%defattr(-,root,root)
%_applications/%{name}-alsamixer.desktop
%_bindir/%{name}_alsamixer

%files transcoder
%defattr(-,root,root)
%_applications/%{name}-transcoder.desktop
%_bindir/%{name}_transcoder
%_bindir/%{name}_transcoder_remote
%_mandir/man1/%{name}_transcoder.1.*
%_mandir/man1/%{name}_transcoder_remote.1.*

%files camelot
%defattr(-,root,root)
%_applications/%{name}-camelot.desktop
%_bindir/camelot

%files kbd
%defattr(-,root,root)
%_applications/%{name}-kbd.desktop
%_bindir/%{name}_kbd
%_bindir/%{name}_kbd_config

%files visualizer
%defattr(-,root,root)
%_applications/%{name}-visualizer.desktop
%_bindir/%{name}_visualizer
%_bindir/%{name}_visualizer_slave

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.1-1
- Version update
* Thu Jan 08 2009 Christian Wasem <wasem@ccux-linux.de> 0.4.0-2
- fix bugtracker entry #56
* Wed Jan 07 2009 Christian Wasem <wasem@ccux-linux.de> 0.4.0-1
- initial CCux package release
